extends Node3D

@export var sprite : Sprite3D
@export var max_radius : float = 0.01
@export var min_radius : float = 0.002

func _ready():
	scale.x = 0
	scale.y = 0

func set_pinch_strength(strength : float):
	var radius : float = lerp(max_radius, min_radius, strength)
	
	scale.x = radius
	scale.z = radius

func set_pinch_position(pos : Vector3):
	position = pos

func set_pinch_rotation(rot : Quaternion):
	quaternion = rot
